## Remove repeated time steps from output files (come from > 0 nOuterCorrectors in PIMPLE loop)

import os, glob, shutil, sys, math
import numpy as np
import pandas as pd

nf = 3; ns = 50; nse = 6; nst = 3; 

path = os.getcwd() + "/postProcessing/"

## Load full turbine summary data
time = "restart" if "restart" in os.listdir(path+"turbines/") else "0"
turbine = pd.read_csv(path+"turbines/"+time+"/turbine.csv")
nt = len(turbine.time)
times,index = np.unique(np.flipud(turbine.time),return_index=True)
index = np.array(range(len(turbine.time)-1,-1,-1))[index]
turbine.iloc[index].to_csv(path+"turbines/"+time+"/turbine.csv",index=False)
    
## Load line data
for f in range(nf):
    bladelines = pd.read_csv(path+"actuatorLines/"+time+"/turbine.blade"+str(f+1)+".csv") 
    bladelines.iloc[index].to_csv(path+"actuatorLines/"+time+"/turbine.blade"+str(f+1)+".csv",index=False)
for s in range(3):
    for n in range(nst):
        strutlines = pd.read_csv(path+"actuatorLines/"+time+"/turbine.strut"+['A','B','C'][s]+str(n+1)+".csv") 
        strutlines.iloc[index].to_csv(path+"actuatorLines/"+time+"/turbine.strut"+['A','B','C'][s]+str(n+1)+".csv",index=False)
shaftline = pd.read_csv(path+"actuatorLines/"+time+"/turbine.shaft.csv")
shaftline.iloc[index].to_csv(path+"actuatorLines/"+time+"/turbine.shaft.csv",index=False)
    
## Load element data
for f in range(nf):
    for s in range(ns):
        blade = pd.read_csv(path+"actuatorLineElements/"+time+"/turbine.blade"+str(f+1)+".element"+str(s)+".csv")
        blade.iloc[index].to_csv(path+"actuatorLineElements/"+time+"/turbine.blade"+str(f+1)+".element"+str(s)+".csv",index=False)
for s in range(3):
    for n in range(nst):
        for e in range(nse):
            strut = pd.read_csv(path+"actuatorLineElements/"+time+"/turbine.strut"+['A','B','C'][s]+str(n+1)+".element"+str(e)+".csv")
            strut.iloc[index].to_csv(path+"actuatorLineElements/"+time+"/turbine.strut"+['A','B','C'][s]+str(n+1)+".element"+str(e)+".csv",index=False)
shaft = pd.read_csv(path+"actuatorLineElements/"+time+"/turbine.shaft.element0.csv")
shaft.iloc[index].to_csv(path+"actuatorLineElements/"+time+"/turbine.shaft.element0.csv",index=False)